For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

list

GET
https://api.groundx.ai/api/v1/ingest/documents
GET
/api/v1/ingest/documents
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.documents.list()
200Retrieved
1{
2 "documents": [
3 {
4 "documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "bucketId": 42,
6 "fileName": "Quarterly_Report_Q1_2024.pdf",
7 "fileSize": "2.3MB",
8 "fileType": "pdf",
9 "filter": {
10 "department": "finance",
11 "review": {
12 "status": "pending"
13 }
14 },
15 "processId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
16 "processLevel": "full",
17 "searchData": {},
18 "sourceUrl": "https://documents.groundx.ai/reports/2024/Q1/Quarterly_Report_Q1_2024.pdf",
19 "status": "processing",
20 "statusMessage": "Document is currently being processed",
21 "textUrl": "https://storage.groundx.ai/extracted-text/3fa85f64-5717-4562-b3fc-2c963f66afa6.txt",
22 "xrayUrl": "https://storage.groundx.ai/xray-results/3fa85f64-5717-4562-b3fc-2c963f66afa6.json"
23 }
24 ],
25 "nextToken": "eyJ2IjoiMSIsImsiOiI0MiIsImQiOiJwYWdlMiJ9"
26}
lookup all documents across all resources which are currently on GroundX
Was this page helpful?
Previous

get

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

nintegerOptional

The maximum number of returned documents. Accepts 1-100 with a default of 20.

filterstringOptional
Only documents with names that contain the filter string will be returned in the results.
sortenumOptional
The document attribute that will be used to sort the results.
Allowed values:
sortOrderenumOptional
The order in which to sort the results. A value for sort must also be set.
Allowed values:
statusenumOptional
A status filter on the get documents query. If this value is set, then only documents with this status will be returned in the results.
nextTokenstringOptional
A token for pagination. If the number of documents for a given query is larger than n, the response will include a "nextToken" value. That token can be included in this field to retrieve the next batch of n documents.

Response

Look up success
documentslist of objects
nextTokenstring